<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Добавить авто</title>

</head>
<body>
<form action="{% url 'auto_add' %}" method="post">
    {% csrf_token %}
    <div class="panel panel-flat">
        <div class="panel-heading">
            <h5 class="panel-title">Заполните логин и пароль нового пользователя</h5>
            <div class="heading-elements">
                <ul class="icons-list">
                    <li><a data-action="collapse"></a></li>
                    <li><a data-action="reload"></a></li>
                    <li><a data-action="close"></a></li>
                </ul>
            </div>
        </div>

        <div class="panel-body">
            <div class="form-group djform passform">
            {{ auto_add_form.as_p }}
            </div>

            <div class="text-right">
                <button type="submit" class="btn btn-primary">Добавить авто <i class="icon-arrow-right14 position-right"></i></button>
            </div>
        </div>
    </div>
</form>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<script>

(function () {
	"use strict";
	jQuery(function () {
		$( '#id_model_auto' ).prop( 'disabled', true );
	    $( '#id_mark_auto' ).change(function () {
			$( '#id_model_auto' ).find( 'option:not(:first)' )
				.remove()
				.end()
{#				.prop( 'disabled',true );#}
			var mark_id = $( this ).val();

			if (mark_id == 0) { return; }

			$.ajax({
				type: "GET",
				url: "/model_auto/",
				dataType: "json",
				data: { mark_id : mark_id },
				success: function ( data ) {
					for ( var i = 0; i < data.length; i++ ) {

						$( '#id_model_auto' ).append( '<option value="' + data[i].pk + '">' + data[i].fields.name + '</option>' );
						console.log(data[i].pk);
					}

					$( '#id_model_auto' ).prop( 'disabled', false );
				}
			});
		});



	});
})();
</script>
</body>
</html>